Bug 513949 - virt-manager scaling should maintain the aspect ratio of the display
virt-manager scaling should maintain the aspect ratio of the display
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-07-27 05:44 EDT by gegio0
Modified: 2009-12-03 18:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 18:52:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my guest at fullscreen w/o scale (554.33 KB, image/png)
2009-08-13 12:24 EDT, gegio0
no flags Details
my guest at fullscreen w/ scale (554.21 KB, image/png)
2009-08-13 12:26 EDT, gegio0
no flags Details

  None (edit)
Description gegio0 2009-07-27 05:44:40 EDT
Description of problem:
I have a 16:9 screen, but my (kvm) guests aspect ratio is 4:3.
When I use "scale display", I get a deformed scaled-screen of my guests.

Version-Release number of selected component (if applicable):
I've tried only 0.7.0.

Expected results:
I see two possible resolution for this bug:
1) make guests run with the same aspect ratio of the host;
or
2) make "scale display" maintains the aspect ratio of guests.
Comment 1 Mark McLoughlin 2009-08-11 12:57:29 EDT
Thanks for the report

Does this still happen in 0.8.0?

Maybe you could attach a screenshot to show how bad it looks?
Comment 2 Daniel Berrange 2009-08-11 13:05:17 EDT
FWIW, virt-viewer 0.2.0 has completely re-written from scratch scaling / auto-resizing behaviour, which will always show guest at 1:1 where space exists on host, and if it needs to scale down/up to fit, it will always maintain aspect ratio unless explicitly overridden by the user. We should probably make virt-manager implement the exact same logic. The original logic for scaling vs scrolling & auto-resizing was pretty crude by comparison.
Comment 3 gegio0 2009-08-13 12:24:37 EDT
Created attachment 357351 [details]
my guest at fullscreen w/o scale

Here is my 4:3 guest running in a 16:9 host.

Note the two thin black bands at the top (just under virt-manager menu) and at the bottom.
Comment 4 gegio0 2009-08-13 12:26:40 EDT
Created attachment 357352 [details]
my guest at fullscreen w/ scale

Here is my 4:3 guest running in a 16:9 host.

Now the two thin black bands are no more, but aspect ratio of the guest is not preserved.
Comment 5 gegio0 2009-08-13 12:27:57 EDT
I've taken those screenshots with virt-manager 0.8.0, so problems still remains.
Comment 6 Cole Robinson 2009-11-30 07:06:47 EST
Addressed upstream now. Moving to POST, we will be cutting a new release soon.
Comment 7 Cole Robinson 2009-12-03 18:52:36 EST
This should be fixed in virt-manager-0.8.1-1.fc13 which will be in the next rawhide compose.

Note You need to log in before you can comment on or make changes to this bug.